#!/bin/bash

# RPM post script, no arguments
# Note: Also called from Debian alt-python27-cllib.postinst scriptlet
# Arguments:
# $1 - CL venv dir path - /opt/cloudlinux/venv
# $2 - hook marker file - /usr/share/cloudlinux/hooks/.inuse.tmp

# "python-cllib POST INSTALL STARTED"

# /opt/cloudlinux/venv/bin/python3 /opt/cloudlinux/venv/usr/bin/cpapirebuildcache
"$1"/bin/python3 "$1"/usr/bin/cpapirebuildcache

# create temporary marker which means that newly
# installed packege uses universal hooks
#touch /usr/share/cloudlinux/hooks/.inuse.tmp
touch "$2"

# run /usr/sbin/panel_users_counter
/usr/sbin/getpaneluserscount

# "python-cllib POST INSTALL FINISHED"
